/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ModelingInColor.ComponentConnectivity.Shipment;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 * @alias Shipment
 */
public class Shipment {
    public Vector assessTimeliness() {
        return null;
    }

    /**  */
    public int wasShippedBeforeDueDate() {
        return -1;
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ModelingInColor.ComponentConnectivity.ProductSale.ProductSale lnkUnnamed;
}


